This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263469 - Syntax used in the doc examples
Syntax used in the doc examples
Status: ASSIGNED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Alex Dellapenta
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 17:16 EDT by Ryan Howe
Modified: 2015-09-25 17:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2015-09-15 17:16:55 EDT
Describe the issue: 
Example are formatted in YAML and JSON. This proves an issue when you are using the templates as an example to configure an object in your environment.

= Customers understand both can be passed, and that there are converts out there. Just a suggestion for improvement.  

For example 

Creating a provisioned project template and using this yaml example:
https://docs.openshift.com/enterprise/3.0/admin_guide/selfprovisioned_projects.html

And wanting to add section in it for quota, Limit Ranges etc which have json as the examples. 

https://docs.openshift.com/enterprise/3.0/dev_guide/limits.html
https://docs.openshift.com/enterprise/3.0/dev_guide/quota.html

Suggestions for improvement:

Stay with one type either yaml or json  

Additional information: 

some examples

YAML 
https://docs.openshift.com/enterprise/3.0/admin_guide/master_node_configuration.html
https://docs.openshift.com/enterprise/3.0/architecture/additional_concepts/storage.html
https://docs.openshift.com/enterprise/3.0/admin_guide/selfprovisioned_projects.html


JSON 
https://docs.openshift.com/enterprise/3.0/admin_guide/scheduler.html
https://docs.openshift.com/enterprise/3.0/dev_guide/persistent_volumes.html#requesting-storage
https://docs.openshift.com/enterprise/3.0/dev_guide/limits.html
https://docs.openshift.com/enterprise/3.0/architecture/additional_concepts/authentication.html
Comment 3 Alex Dellapenta 2015-09-25 17:56:53 EDT
We've been trying to use YAML in examples for a while, but there's still some older content using JSON. I'll be converting any remaining JSON.

Note You need to log in before you can comment on or make changes to this bug.